#include <limits.h>
int main(void) {
  /* Using some asm_* predefined functions.
     WORK IN PROGRESS (THIS EXAMPLE IS NOT YET FINISHED).
     SEE EXAMPLE8 TO KNOW HOW TO MIX C AND ASM CODE.
  */
  int array[3] = {1, 2, 3};
  int a = 1;

  asm_ROL(a);
  asm_TTSR(6);
  asm_ROL(a);
  asm_ROL(array[1]);

}

